org.optaplanner.core.impl.score.stream.drools

## Class DroolsConstraintSession<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.DroolsConstraintSession<Solution_>

- All Implemented Interfaces:
    AutoCloseable, ConstraintSession<Solution_>

      public class DroolsConstraintSession<Solution_>
      extends Object
      implements ConstraintSession<Solution_>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsConstraintSession(boolean constraintMatchEnabled, org.kie.api.runtime.KieSession kieSession, ScoreHolder scoreHolder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Score<?>` | `calculateScore(int initScore)`
    `void` | `close()`
    `Map<String,ConstraintMatchTotal>` | `getConstraintMatchTotalMap()` As defined by `ScoreDirector.getConstraintMatchTotalMap()`.
    `Map<Object,Indictment>` | `getIndictmentMap()` As defined by `ScoreDirector.getIndictmentMap()`.
    `void` | `insert(Object fact)`
    `void` | `retract(Object fact)`
    `void` | `update(Object fact)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsConstraintSession

          public DroolsConstraintSession(boolean constraintMatchEnabled,
                                         org.kie.api.runtime.KieSession kieSession,
                                         ScoreHolder scoreHolder)

  - ### Method Detail

    - #### insert

          public void insert(Object fact)

      Specified by:
        `insert` in interface `ConstraintSession<Solution_>`

    - #### update

          public void update(Object fact)

      Specified by:
        `update` in interface `ConstraintSession<Solution_>`

    - #### retract

          public void retract(Object fact)

      Specified by:
        `retract` in interface `ConstraintSession<Solution_>`

    - #### calculateScore

          public Score<?> calculateScore(int initScore)

      Specified by:
        `calculateScore` in interface `ConstraintSession<Solution_>`

    - #### getConstraintMatchTotalMap

          public Map<String,ConstraintMatchTotal> getConstraintMatchTotalMap()

      Description copied from interface: `ConstraintSession`
      As defined by `ScoreDirector.getConstraintMatchTotalMap()`.
      Specified by:
        `getConstraintMatchTotalMap` in interface `ConstraintSession<Solution_>`
      Returns:
        never null
      See Also:
        `ScoreDirector.getConstraintMatchTotalMap()`

    - #### getIndictmentMap

          public Map<Object,Indictment> getIndictmentMap()

      Description copied from interface: `ConstraintSession`
      As defined by `ScoreDirector.getIndictmentMap()`.
      Specified by:
        `getIndictmentMap` in interface `ConstraintSession<Solution_>`
      Returns:
        never null
      See Also:
        `ScoreDirector.getIndictmentMap()`

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `ConstraintSession<Solution_>`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.